function bg_display()
// Display list of Scilab processes run at background
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     bg_display()
//
// Parameters
//
// Description
//    This is to display the list of Scilab background processes run by using bg_run
//    
// Examples
//    bg_display()
//    
// See also
//     bg_run
//     bg_terminate
//
// Authors
//     C.L. Tan, Trity Technologies
    
 all_process = unix_w('tasklist /FI ""IMAGENAME eq Scilex.exe"" /FO TABLE');

endfunction
