function x_string_datatips()
//  Add a datatips with x axis as string
//
//    Copyright 2015 Trity Technologies.
//    
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//    
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//    
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/
//
// Calling Sequence
//     x_string_datatips()
//
// Parameters
//
// Description
//    This is to create a new datatip by using the x-axis string instead of numerical value
//    
// Examples
//    
// See also
//     x_string_plot
//
// Authors
//     C.L. Tan, Trity Technologies
    
    e=gce();e=e.children;    
    d1=datatipCreate(e(1),700);
    x = e.parent.parent.user_data;
    datatipSetDisplay(d1,"mydisplay")
endfunction

function str=mydisplay(h)
    pt = h.data;
    hh = gca();
    x = hh.user_data;
    str=msprintf('%s\n %g', x(pt(1)),pt(2))
endfunction



